> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new questionnaire with the specified name and description.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json post /questionnaires
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /questionnaires:
    post:
      tags:
        - Questionnaire
      summary: Creates a new questionnaire with the specified name and description.
      requestBody:
        description: The questionnaire creation data containing name and description.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateQuestionnaire'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateQuestionnaire'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateQuestionnaire'
      responses:
        '200':
          description: Questionnaire created successfully.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Questionnaire'
            application/json:
              schema:
                $ref: '#/components/schemas/Questionnaire'
            text/json:
              schema:
                $ref: '#/components/schemas/Questionnaire'
components:
  schemas:
    CreateQuestionnaire:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
    Questionnaire:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        firstMessage:
          type: string
          nullable: true
        retryIntervalDays:
          type: integer
          format: int32
        maxTries:
          type: integer
          format: int32
        intervalBackOffMultiplier:
          type: integer
          format: int32
        repeatIntervalDays:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
      additionalProperties: false

````